**Core concepts**

* Importing/exporting data
    - csv
    - json
    - hdf5
    - large dataset
      * iterative parsing
      * mapreduce
      * out-of-core processing
* Version control, archival
  - git, github
  - imeji/figshare/MPDL/Zenodo
* analysis tools
  - python
  - jupyter
  - pandas
  - spark?
* visualization
  - [How to](http://www.huffingtonpost.com/raviparikh/lie-with-data-visualization_b_5169715.html) lie [with data](https://cyborgus.com/2017/04/15/how-to-lie-with-data/).
  - Manipulating axis scales.
  - Hiding number of data points. 
  - Axis ticks unaligned with datapoints. 
  - [More examples](https://drive.google.com/file/d/0Bze55lezLJhITWROdV9PNEE2RGs/view).
* random sampling
  - sample mean
  - central limit theorem
  - power law tail and diverging variance
* hypothesis testing
  - Confidence intervals
  - p-value hacking
* fitting hypothesis to data
  - linear regression
  - CI in regression
  - GLM
* classification problem
  - logistic regression
  - dimensionality reduction/PCA
  - k-means clustering
  - supervised machine learning/backpropagation
* Bayes and decisions